### Method

# Gimp Vectors bezier_stroke_cubicto

#### Declaration [src]

    gboolean
    gimp_vectors_bezier_stroke_cubicto (
      GimpVectors* vectors,
      gint stroke_id,
      gdouble x0,
      gdouble y0,
      gdouble x1,
      gdouble y1,
      gdouble x2,
      gdouble y2
    )

#### Description [src]

Extends a bezier stroke with a cubic bezier spline.

Extends a bezier stroke with a cubic bezier spline.

Available since: | 2.4

#### Parameters

`stroke_id` | `gint`
| The stroke ID.
`x0` | `gdouble`
| The x-coordinate of the first control point.
`y0` | `gdouble`
| The y-coordinate of the first control point.
`x1` | `gdouble`
| The x-coordinate of the second control point.
`y1` | `gdouble`
| The y-coordinate of the second control point.
`x2` | `gdouble`
| The x-coordinate of the end point.
`y2` | `gdouble`
| The y-coordinate of the end point.

#### Return value

Returns: | `gboolean`
| TRUE on success.